Skip to content

Create Translation (Not Supported) ​

POST https://www.kkiai.com/v1/audio/translations

Request Parameters ​

Authorization

Add the Authorization parameter to the Header, with its value being the Token concatenated after Bearer

Example: Authorization: Bearer YOUR_API_KEY

Body Parameters (multipart/form-data) ​

ParameterTypeRequiredDescription
filefileRequiredThe audio file object to be translated (not the filename). Supported formats: flac, mp3, mp4, mpeg, mpga, m4a, ogg, wav, or webm.
modelstringRequiredThe model ID to use. Currently only whisper-1 is available.
promptstringOptionalAn optional text to guide the model's style or continue from a previous audio segment. The prompt text should be in English.
response_formatstringOptionalThe format of the translation result. Options: json, text, srt, verbose_json, or vtt.
temperaturenumberOptionalDefault is 0. Sampling temperature, between 0 and 1. Higher values like 0.8 make the output more random, while lower values like 0.2 make it more focused and deterministic. If set to 0, the model will automatically increase the temperature based on log probability until a specific threshold is reached.

cURL Example ​

bash
curl --location --request POST 'https://www.kkiai.com/v1/audio/translations' \
--header 'Authorization: Bearer <token>' \
--form 'file=@"C:\\Users\\Administrator\\Desktop\\test.m4a"' \
--form 'model="gpt-4o-transcribe"' \
--form 'prompt=""' \
--form 'response_format=""' \
--form 'temperature=""'

Response ​

🟢 200 Success

Response Body ​

ParameterTypeRequiredDescription
textstringRequired

Response Example ​

json
{
  "text": "Hello, my name is Wolfgang and I come from Germany. Where are you heading today?"
}